<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\W3crmAdminController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/
// Show the page
// Route::get('/employee', [W3crmAdminController::class, 'employee']);

// Upload handler (NEW URL)
// Route::post('/employee/upload', [W3crmAdminController::class, 'upload'])->name('employee.upload');


Route::controller(W3crmAdminController::class)->group(function () {
    Route::get('/', 'dashboard');
    Route::get('/index-2 ','dashboard_2');
    Route::get('/index ','dashboard');
    Route::get('/employee', 'employee');
    Route::get('/core-hr', 'core_hr');
    Route::get('/finance', 'finance');
    Route::get('/task', 'task');
    Route::get('/task-summary', 'task_summary');
    Route::get('/performance', 'performance');
    Route::get('/project', 'project');
    Route::get('/manage-client', 'manage_client');
    Route::get('/reports', 'reports');
    Route::get('/chat', 'chat');
    Route::get('/user', 'user');
    Route::get('/user-roles', 'user_roles');
    Route::get('/add-role', 'add_role');
    Route::get('/edit-profile', 'edit_profile');
    Route::get('/app-profile-2', 'app_profile_2');
    Route::get('/app-profile', 'app_profile');
    Route::get('/customer', 'customer');
    Route::get('/customer-profile', 'customer_profile');
    Route::get('/contacts', 'contacts');
    Route::get('/email-read', 'email_read');
    Route::get('/email-compose', 'email_compose');
    Route::get('/email-inbox', 'email_inbox');
    Route::get('/app-calender', 'app_calender');
    Route::get('/ecom-product-grid', 'ecom_product_grid');
    Route::get('/ecom-product-list', 'ecom_product_list');
    Route::get('/ecom-product-detail', 'ecom_product_detail');
    Route::get('/ecom-product-order', 'ecom_product_order');
    Route::get('/ecom-checkout', 'ecom_checkout');
    Route::get('/ecom-invoice', 'ecom_invoice');
    Route::get('/ecom-customers', 'ecom_customers');
    Route::get('/login', 'page_login');
    Route::get('/register', 'page_register');
    Route::get('/page-forgot-password', 'page_forgot_password');
    Route::get('/page-error-400', 'page_error_400');
    Route::get('/page-error-403', 'page_error_403');
    Route::get('/page-error-404', 'page_error_404');
    Route::get('/page-error-500', 'page_error_500');
    Route::get('/page-error-503', 'page_error_503');
    Route::get('/empty-page', 'page_empty_page');
    Route::get('/forgot-password', 'page_forgot_password');
    Route::get('/lock-screen', 'page_lock_screen');
    Route::get('/cms/add-blog', 'cms_add_blog');
    Route::get('/cms/add-email', 'cms_add_email');
    Route::get('/cms/blog', 'cms_blog');
    Route::get('/cms/blog-category', 'cms_blog_category');
    Route::get('/cms/content', 'cms_content');
    Route::get('/cms/content-add', 'cms_content_add');
    Route::get('/cms/email-template', 'cms_email_template');
    Route::get('/cms/menu', 'cms_menu');
    Route::get('/blog', 'blog');
    Route::get('/aikit/auto-write', 'aikit_auto_write');
    Route::get('/aikit/scheduled', 'aikit_scheduled');
    Route::get('/aikit/repurpose', 'aikit_repurpose');
    Route::get('/aikit/rss', 'aikit_rss');
    Route::get('/aikit/chatbot', 'aikit_chatbot');
    Route::get('/aikit/fine-tune-models', 'aikit_fine_tune_models');
    Route::get('/aikit/prompt', 'aikit_prompt');
    Route::get('/aikit/setting', 'aikit_setting');
    Route::get('/aikit/import', 'aikit_import');
    Route::get('/post-details', 'post_details');
    Route::post('/post-details', 'store');
    Route::get('/account/activity', 'account_activity');
    Route::get('/account/api-keys', 'account_api_keys');
    Route::get('/account/billing', 'account_billing');
    Route::get('/account/logs', 'account_logs');
    Route::get('/account/overview', 'account_overview');
    Route::get('/account/referrals', 'account_referrals');
    Route::get('/account/security', 'account_security');
    Route::get('/account/settings', 'account_settings');
    Route::get('/account/statements', 'account_statements');
    Route::get('/profile/activity', 'profile_activity');
    Route::get('/profile/campaigns', 'profile_campaigns');
    Route::get('/profile/documents', 'profile_documents');
    Route::get('/profile/followers', 'profile_followers');
    Route::get('/profile/overview', 'profile_overview');
    Route::get('/profile/projects-details', 'profile_projects_details');
    Route::get('/profile/projects', 'profile_projects');    
    Route::post('/employee/upload', 'upload');
    Route::post('/import/upload', 'upload');
    Route::post('/contacts/upload', 'upload');
    Route::post('/customer/upload', 'upload');
    Route::post('/core-hr/upload', 'upload');
    Route::post('/compose/upload', 'upload');
});